from nose.tools import raises
import networkz as nx

# smoke tests for exceptions

@raises(nx.NetworkXException)
def test_raises_networkz_exception():
    raise nx.NetworkXException

@raises(nx.NetworkXError)
def test_raises_networkz_error():
    raise nx.NetworkXError

@raises(nx.NetworkXPointlessConcept)
def test_raises_networkz_pointless_concept():
    raise nx.NetworkXPointlessConcept

@raises(nx.NetworkXAlgorithmError)
def test_raises_networkz_algorithm_error():
    raise nx.NetworkXAlgorithmError

@raises(nx.NetworkXUnfeasible)
def test_raises_networkz_unfeasible():
    raise nx.NetworkXUnfeasible

@raises(nx.NetworkXNoPath)
def test_raises_networkz_no_path():
    raise nx.NetworkXNoPath

@raises(nx.NetworkXUnbounded)
def test_raises_networkz_unbounded():
    raise nx.NetworkXUnbounded

